Package org.zkoss.zk.ui.event

## Class DropEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.MouseEvent
    - - org.zkoss.zk.ui.event.DropEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DropEvent
      extends MouseEvent

  Represents an event cause by user's dragging and dropping a component.

  The component being dragged can be retrieved by `getDragged()`. The component that received the dragged component is `Event.getTarget()`.

  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.ui.event.MouseEvent

      `ALT_KEY, CTRL_KEY, LEFT_CLICK, META_KEY, MIDDLE_CLICK, RIGHT_CLICK, SHIFT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DropEvent​(java.lang.String name, Component target, Component dragged, int x, int y, int pageX, int pageY, int keys)` | Constructs a drop event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getArea()` | Inherited from `MouseEvent`, but not applicable to `DropEvent`.
    `Component` | `getDragged()` | Returns the component being dragged and drop to `Event.getTarget()`.
    `static DropEvent` | `getDropEvent​(AuRequest request)` | Converts an AU request to a drop event.

    - ### Methods inherited from class org.zkoss.zk.ui.event.MouseEvent

      `getAreaComponent, getKeys, getMouseEvent, getPageX, getPageY, getX, getY`

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DropEvent

          public DropEvent​(java.lang.String name,
                           Component target,
                           Component dragged,
                           int x,
                           int y,
                           int pageX,
                           int pageY,
                           int keys)

      Constructs a drop event.
      Parameters:
        `dragged` - The component being dragged and drop to `Event.getTarget()`.
      Since:
        5.0.0

  - ### Method Detail

    - #### getDropEvent

          public static DropEvent getDropEvent​(AuRequest request)

      Converts an AU request to a drop event.
      Since:
        5.0.0

    - #### getDragged

          public final Component getDragged()

      Returns the component being dragged and drop to `Event.getTarget()`.

    - #### getArea

          public java.lang.String getArea()

      Inherited from `MouseEvent`, but not applicable to `DropEvent`. It always returns null.
      Overrides:
        `getArea` in class `MouseEvent`
      See Also:
        `MouseEvent.getAreaComponent()`